# $Id: perl-Template-Timer.spec 6067 2007-12-30 20:50:11Z dag $
# Authority: dag
# Upstream: Andy Lester <andy$petdance,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Template-Timer

Summary: Rudimentary profiling for Template Toolkit
Name: perl-Template-Timer
Version: 0.04
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Template-Timer/

Source: http://www.cpan.org/modules/by-module/Template/Template-Timer-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Rudimentary profiling for Template Toolkit.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Template::Timer.3pm*
%dir %{perl_vendorlib}/Template/
#%{perl_vendorlib}/Template/Timer/
%{perl_vendorlib}/Template/Timer.pm

%changelog
* Sun Dec 30 2007 Dag Wieers <dag@wieers.com> - 0.04-1 #6067
- Initial package. (using DAR)
